> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 安装 Docflow 文档 Skill

> 为 Coding Agent 安装 Docflow 文档 Skill，增强文档理解与代码生成能力

## 01 什么是 Docflow 文档 Skill

Skill 是 Coding Agent 的技能扩展，安装后 Agent 会自动在相关场景中调用该技能。Docflow 文档 Skill 让 Agent 能够理解 TextIn Docflow 的 API 体系，并生成符合规范的代码。

## 02 安装方式

### 方式一：让 Agent 自行安装

在对话框中直接输入：

```
安装 Docflow 文档 Skill
```

Agent 会自动完成 Skill 的下载和配置。

> [!NOTE]
>
> 此方式需要 Agent 已正确连接 Docflow 文档 MCP 服务。

### 方式二：使用命令手动安装

> [tab] Claude Code
>
> ```bash macOS / Linux theme={null}
> mkdir -p "$HOME/.claude/skills/textin-docflow-document" && \
> curl -sS -L "http://docflow.textin.com/textin-docs/skills/docflow/document" \
>   -o "$HOME/.claude/skills/textin-docflow-document/SKILL.md"
> ```
>
> ```powershell Windows theme={null}
> New-Item -ItemType Directory -Force -Path "$env:USERPROFILE\.claude\skills\textin-docflow-document" | Out-Null
> Invoke-WebRequest -Uri "http://docflow.textin.com/textin-docs/skills/docflow/document" `
>   -OutFile "$env:USERPROFILE\.claude\skills\textin-docflow-document\SKILL.md"
> ```

> [tab] Codex
>
> ```bash macOS / Linux theme={null}
> mkdir -p "$HOME/.codex/skills/textin-docflow-document" && \
> curl -sS -L "http://docflow.textin.com/textin-docs/skills/docflow/document" \
>   -o "$HOME/.codex/skills/textin-docflow-document/SKILL.md"
> ```
>
> ```powershell Windows theme={null}
> New-Item -ItemType Directory -Force -Path "$env:USERPROFILE\.codex\skills\textin-docflow-document" | Out-Null
> Invoke-WebRequest -Uri "http://docflow.textin.com/textin-docs/skills/docflow/document" `
>   -OutFile "$env:USERPROFILE\.codex\skills\textin-docflow-document\SKILL.md"
> ```

> [tab] Cursor
>
> ```bash macOS / Linux theme={null}
> mkdir -p "$HOME/.cursor/skills/textin-docflow-document" && \
> curl -sS -L "http://docflow.textin.com/textin-docs/skills/docflow/document" \
>   -o "$HOME/.cursor/skills/textin-docflow-document/SKILL.md"
> ```
>
> ```powershell Windows theme={null}
> New-Item -ItemType Directory -Force -Path "$env:USERPROFILE\.cursor\skills\textin-docflow-document" | Out-Null
> Invoke-WebRequest -Uri "http://docflow.textin.com/textin-docs/skills/docflow/document" `
>   -OutFile "$env:USERPROFILE\.cursor\skills\textin-docflow-document\SKILL.md"
> ```

> [tab] VS Code Chat
>
> ```bash macOS / Linux theme={null}
> mkdir -p "$HOME/.copilot/skills/textin-docflow-document" && \
> curl -sS -L "http://docflow.textin.com/textin-docs/skills/docflow/document" \
>   -o "$HOME/.copilot/skills/textin-docflow-document/SKILL.md"
> ```
>
> ```powershell Windows theme={null}
> New-Item -ItemType Directory -Force -Path "$env:USERPROFILE\.copilot\skills\textin-docflow-document" | Out-Null
> Invoke-WebRequest -Uri "http://docflow.textin.com/textin-docs/skills/docflow/document" `
>   -OutFile "$env:USERPROFILE\.copilot\skills\textin-docflow-document\SKILL.md"
> ```

> [tab] Trae
>
> ```bash macOS / Linux theme={null}
> mkdir -p "$HOME/.trae-cn/skills/textin-docflow-document" && \
> curl -sS -L "http://docflow.textin.com/textin-docs/skills/docflow/document" \
>   -o "$HOME/.trae-cn/skills/textin-docflow-document/SKILL.md"
> ```
>
> ```powershell Windows theme={null}
> New-Item -ItemType Directory -Force -Path "$env:USERPROFILE\.trae-cn\skills\textin-docflow-document" | Out-Null
> Invoke-WebRequest -Uri "http://docflow.textin.com/textin-docs/skills/docflow/document" `
>   -OutFile "$env:USERPROFILE\.trae-cn\skills\textin-docflow-document\SKILL.md"
> ```

## 03 验证安装

安装完成后，重启工具以重新加载 Skill。然后在技能（Skill）页面找到或搜索 `textin-docflow-document`，确认 Skill 已成功加载。

## 04 安装后效果

安装成功后，Agent 会具备以下增强能力：

| 能力 | 说明 |
| - | - |
| 文档感知 | 自动识别与 Docflow 相关的开发需求 |
| API 理解 | 准确理解 Docflow API 的参数和返回值 |
| 代码生成 | 生成符合最佳实践的调用代码 |
| 错误处理 | 包含规范的异常处理逻辑 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.